Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:        K Desktop Environment - Graphics Applications
Version:        4.1.1
Release:        2

Name:           kdegraphics

Group:          Multimedia
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdegraphics-%{version}.tar.bz2

# Patch to svn tree of 4.2.0 for digikam >= 0.10 beta3 
Patch0:		kdegraphics-libs-svn-update.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  cmake
BuildRequires:  chmlib-devel
BuildRequires:  djvulibre-devel
BuildRequires:  exiv2-devel
BuildRequires:  giflib-devel
BuildRequires:  libgphoto2-devel
%{?_with_libspectre:BuildRequires:  libspectre-devel}
%{!?_with_libspectre:BuildRequires: ghostscript-devel}
BuildRequires:  libtiff-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  pcre-devel
BuildRequires:  poppler-devel poppler-qt4-devel
BuildRequires:  qimageblitz-devel
BuildRequires:  sane-backends-devel libspectre-devel
BuildRequires:	ebook-tools-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
# okular requires lpr (?)
#Requires: lpr
Requires(post): xdg-utils
Requires(postun): xdg-utils

# include gwenview(2), see also: http://bugzilla.redhat.com/427688 
Obsoletes:      gwenview < 2
Provides:       gwenview = 2
Obsoletes: 	kdegraphics4 < %{version}-%{release}
Provides:  	kdegraphics4 = %{version}-%{release}


%description
Graphics applications, including
* gwenview (an image viewer)
* kamera (digital camera support)
* kcolorchooser (a color chooser)
* kolourpaint4 (an easy-to-use paint program)
* kruler (screen ruler and color measurement tool)
* ksnapshot (screen capture utility)
* okular (a document viewer)

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	System/Libraries
Obsoletes: 	kdegraphics4-libs < %{version}-%{release}
Provides:  	kdegraphics4-libs = %{version}-%{release}
Obsoletes:      libkexiv2 libkdcraw libkipi

%description libs
%{summary}.

%package devel
Group:    	Development/Libraries
Summary:  	Developer files for %{name}
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdegraphics4-devel < %{version}-%{release}
Provides:  	kdegraphics4-devel = %{version}-%{release}
Obsoletes: 	libkexiv2-devel libkdcraw-devel libkipi-devel

%description devel
%{summary}.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/okular/
%{_kde4_appsdir}/kgamma/
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/okular/
%{_kde4_appsdir}/gvpart/
%{_kde4_appsdir}/gwenview/
%{_kde4_appsdir}/kolourpaint/
%{_kde4_appsdir}/kruler/
%{_kde4_appsdir}/svgpart/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_docdir}/HTML/en/gwenview/
%{_kde4_docdir}/HTML/en/kamera/
%{_kde4_docdir}/HTML/en/ksnapshot/
%{_kde4_docdir}/HTML/en/kolourpaint/
%{_kde4_docdir}/HTML/en/kruler/
%{_kde4_docdir}/HTML/en/kgamma/
%{_kde4_iconsdir}/hicolor/*/*/*
#%{_kde4_iconsdir}/oxygen/*/*/*

%files libs 
%defattr(-,root,root,-)
%{_kde4_appsdir}/kipi/
%{_kde4_appsdir}/libkdcraw/
%{_kde4_libdir}/libkdcraw6/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/strigi/*


%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/libkdcraw/
%{_kde4_includedir}/libkexiv2/
%{_kde4_includedir}/libkipi/
%{_kde4_includedir}/okular/
%{_kde4_includedir}/libksane/
%{_kde4_libdir}/lib*.so
%{_kde4_appsdir}/cmake/modules/FindKSane.cmake
%{_kde4_appsdir}/cmake/modules/FindOkular.cmake
%_libdir/pkgconfig/*.pc

%changelog
* Wed Sep 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- patched libkdcraw, libkexiv2, libkipi, libksane to svn 856793
needed for digikam 0.10 beta3
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-5
- rebuilt against poppler 0.8.6
- added ebook support
- added patch against crash on PDF print preview
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-4
- rebuilt against exiv2 0.17.1
- package obsoletes libkexiv2, libkdcraw and libkipi
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- handle devel package conflicts for now
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1 
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-2
- rebuild against poppler 0.8.0
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Initial release
